Project

General

Profile

Bug #11713

Make sure we use a pinentry without regressions on Stretch

Added by intrigeri about 3 years ago. Updated about 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
08/24/2016
Due date:
% Done:

100%

Feature Branch:
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Description

The ISO ships both pinentry-gnome3 and pinentry-gtk2. Let's make sure that we use one that does not introduce regressions compared to what we have in Tails 2.x. And then drop the other.

Associated revisions

Revision 1d2a12d2 (diff)
Added by intrigeri about 3 years ago

Explicitly select pinentry-gtk2 as our preferred pinentry program.

On Stretch, gnome-keyring depends on pinentry-gnome3, and then that one
is selected by default. It does not feel worth it to introduce a hackish
solution such as a fake pinentry-gnome3 package, so let's ignore it and
just make sure we are using the pinentry program we prefer (pinentry-gtk2).

Closes: #11713

History

#1 Updated by intrigeri about 3 years ago

  • Status changed from Confirmed to Resolved
  • % Done changed from 0 to 100

Also available in: Atom PDF